http://guardduty.{region}.amazonaws.com/detector/{detectorId}/ipset/{ipSetId}Updates the IPSet specified by the IPSet ID.
The detectorID that specifies the GuardDuty service whose IPSet you want to update.
The unique ID that specifies the IPSet that you want to update.
The unique ID that specifies the IPSet that you want to update.
The updated Boolean value that specifies whether the IPSet is active or not.
The updated URI of the file that contains the IPSet.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://guardduty.{region}.amazonaws.com/detector/{detectorId}/ipset/{ipSetId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://guardduty.{region}.amazonaws.com/detector/{detectorId}/ipset/{ipSetId}Updates the IPSet specified by the IPSet ID.
The detectorID that specifies the GuardDuty service whose IPSet you want to update.
The unique ID that specifies the IPSet that you want to update.
The unique ID that specifies the IPSet that you want to update.
The updated Boolean value that specifies whether the IPSet is active or not.
The updated URI of the file that contains the IPSet.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://guardduty.{region}.amazonaws.com/detector/{detectorId}/ipset/{ipSetId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}